### Function

# GLib Rand new

#### Declaration

    GRand*
    g_rand_new (
      void
    )

#### Description

Creates a new random number generator initialized with a seed taken either from `/dev/urandom` (if existing) or from the current time (as a fallback).

On Windows, the seed is taken from rand_s().

#### Return value

Type: `GRand`

The new `GRand`.

The caller of the function takes ownership of the data, and is responsible for freeing it.